Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.monitors
Class InterruptMonitor

    java.lang.Object
      avrora.util.help.HelpCategory
          avrora.monitors.MonitorFactory
              avrora.monitors.InterruptMonitor

All Implemented Interfaces:
  HelpItem

public class InterruptMonitor
extends MonitorFactory

The `InterruptMonitor` class implements a monitor that tracks the interrupts that happen during a simulation. It collects statistics about which interrupts occur, how often, and the latency between the interrupt being posted and being handled. After execution terminates, it generates a textual report to the user.

Field Summary
`protected Option.Bool` | `INV_ONLY`
`protected Option.Bool` | `SHOW`

Fields inherited from class avrora.monitors.MonitorFactory
`options`

Fields inherited from class avrora.util.help.HelpCategory
`COMPARATOR, help, name`

Constructor Summary
`InterruptMonitor()`

Method Summary
`Monitor` | `newMonitor(Simulator s)` The `newMonitor()` method creates a new interrupt monitor for the specified simulator that will collect statistics about the interrupts executed during simulation.

Methods inherited from class avrora.monitors.MonitorFactory
`processOptions`

Methods inherited from class avrora.util.help.HelpCategory
`addCommandExample, addListSection, addOptionSection, addSection, addSubcategorySection, getHelp, getName, printHelp, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHOW

    protected final Option.Bool SHOW

### INV_ONLY

    protected final Option.Bool INV_ONLY

Constructor Detail

### InterruptMonitor

    public InterruptMonitor()

Method Detail

### newMonitor

    public Monitor newMonitor(Simulator s)

  The `newMonitor()` method creates a new interrupt monitor for the specified simulator that will collect statistics about the interrupts executed during simulation.

  Specified by:
    `newMonitor` in class `MonitorFactory`
  Parameters:
    `s` - the simulator to create the monitor for
  Returns:
    a new monitor instance for the specified simulator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD